
ISIS - Feature #2402

Make the code test coverage tools work with coco 3.3

2016-02-22 03:47 PM - Stuart Sides

Status: Closed   

Priority: Normal   

Assignee: Ian Humphrey   

Category: Infrastructure   

Target version: FY17 Backlog   

Impact: This fix will only change the make

system when code coverage files are

being requested. Zero changes to the

software functionality is expexted.

Software Version:  

Description

With the new version of the code coverage tools (v3.3) the testing is not working any more. Fix the make MODE=TC for apps and

objs

Related issues:

Related to ISIS - Bug #4469: Squish Coco linking against camera model plugins... Acknowledged

Related to ISIS - Bug #4473: Squish Coco memory issues with CameraFactory, Pr... Acknowledged

History

#1 - 2016-04-08 04:50 PM - Kristin Berry

Test comment. Delete me soon!

#2 - 2016-10-03 10:57 AM - Stuart Sides

- Target version changed from 3.4.12 (FY16 R2 2016-03-17 Mar) to FY17 Backlog

#3 - 2016-10-17 10:58 AM - Ian Humphrey

- Related to Bug #4469: Squish Coco linking against camera model plugins at link-time added

#4 - 2016-10-17 03:31 PM - Ian Humphrey

Note that this ticket has #4473 as a subtask and #4469 as a related task.

This ticket is still "In Progress" as #4473 is an unclosed issue.

However, changes have been made to the isismake.apps and isismake.objs files that allow Squish Coco to be used for checking coverage based on

unit test and app test runs.

I'll be committing the changes that Stuart and I have made so that developers can check how well they are testing their code in unit tests and app

tests. This will help with the established definition of "done" for at ticker.

Please see ticket #4473 for issues that are still unresolved regarding Squish Coco (i.e. core dumps occur for a few classes, but the coverage is still

reported).

#5 - 2016-10-18 01:53 PM - Ian Humphrey

- Related to Bug #4473: Squish Coco memory issues with CameraFactory, ProjectionFactory, NumericalApproximation, ProcessGroundPolygons
https://isis.astrogeology.usgs.gov/fixit/issues/4473
https://isis.astrogeology.usgs.gov/fixit/issues/4469
https://isis.astrogeology.usgs.gov/fixit/issues/4473
https://isis.astrogeology.usgs.gov/fixit/issues/4473


added

#6 - 2016-10-18 01:53 PM - Ian Humphrey

- Assignee changed from Stuart Sides to Ian Humphrey

#7 - 2016-10-18 01:54 PM - Ian Humphrey

- Status changed from In Progress to Resolved

#8 - 2016-10-31 09:31 AM - Stuart Sides

- Status changed from Resolved to Closed
